Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1605388 - pcs: FTBFS in Fedora rawhide
Summary: pcs: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ivan Devat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON37 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 15:10 UTC by Mohan Boddu
Modified: 2018-08-14 09:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-25 16:22:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 15:10 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 15:10 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 15:10 UTC, Mohan Boddu
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1606301 0 unspecified CLOSED sbd: FTBFS in Fedora rawhide 2021-02-22 00:41:40 UTC

Internal Links: 1606301

Description Mohan Boddu 2018-07-20 15:10:15 UTC
pcs failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28210508


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix pcs at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pcs will be orphaned. Before branching of Fedora 30,
pcs will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 15:10:23 UTC
Created attachment 1465353 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 15:10:28 UTC
Created attachment 1465354 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 15:10:32 UTC
Created attachment 1465355 [details]
state.log

Comment 4 Tomas Jelinek 2018-07-20 15:16:08 UTC
Error: 
 Problem: package fence-agents-all-4.2.1-2.fc29.x86_64 requires fence-agents-sbd, but none of the providers can be installed
  - package fence-agents-sbd-4.2.1-2.fc29.x86_64 requires sbd, but none of the providers can be installed
  - conflicting requests
  - nothing provides libcib.so.4()(64bit) needed by sbd-1.2.1-4.fc28.1.x86_64

That looks like a problem in SBD or fence-agents to me. We can work around it by disabling build-time tests in pcs. The underlying issue still needs to be resolved, though. Klaus, are you aware of this?

Comment 5 Miro Hrončok 2018-07-25 09:25:29 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 6 Ivan Devat 2018-07-25 14:55:38 UTC
Rebuild of pcs is done.
The dependency on fence-agents-all (BuildRequires) is temporarily disabled (it is needed only for tests) and some tests are disabled as well.

Comment 7 Ivan Devat 2018-07-25 15:01:54 UTC
I removed too many needinfos by mistake. I'm putting back the one for comment 4.

Comment 8 Igor Raits 2018-07-25 16:22:12 UTC
There has been at least one successfull build after mass rebuild.

pcs-0.9.164-4.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1130649

Comment 9 Klaus Wenninger 2018-08-07 08:09:11 UTC
Sry thought I had put some pointer to the sbd-build-bz in here.
It is bz1606301.
As I'm seeing this successful build comment 8 I'm not sure if this bz should depend on bz1606301.


Note You need to log in before you can comment on or make changes to this bug.